#!/usr/bin/env bash

MAIN_DIR="/Applications/ActiveMap Desktop.app/Contents"
APP_DIR="$MAIN_DIR/MacOS"

while getopts v: flag
do 
    case "${flag}" in
            v) version=$OPTARG
    esac
done

MAIN_UPDATE_DIR="$APP_DIR/Data/Update/$version/ActiveMap Desktop.app/Contents"
UPDATE_DIR="$MAIN_UPDATE_DIR/MacOS"

echo "Version: $version"

if [ -d "$UPDATE_DIR" ]; then
    echo "APP_DIR is exist"
    cd "$APP_DIR/Data"
    if [ -e logs/* ]; then
        mv -f logs/ "$UPDATE_DIR/Data/"
    fi

    if [ -d filecache/ ]; then 
        mv -f filecache/ "$UPDATE_DIR/Data/"
    fi
    
    rm -r "$UPDATE_DIR/Data/settings.json"
    mv -f settings.json "$UPDATE_DIR/Data/"
    cd "$APP_DIR"
    rm -r "$APP_DIR/Localization"
    rm -r "$APP_DIR/version_history.txt"
    rm -r "$APP_DIR/Brand"
    rm -r "$APP_DIR/Configurations"

    cd "$MAIN_DIR"
    rm -r "Info.plist"
    cd "$MAIN_DIR/Resources"
    rm -r *
    cd "$MAIN_UPDATE_DIR/Resources"
    mv -f * "$MAIN_DIR/Resources/"
    cd "$MAIN_UPDATE_DIR"
    mv -f "Info.plist" "$MAIN_DIR" 
    mkdir -p "$MAIN_DIR/Update"
    cd "$UPDATE_DIR"
    mv -f * "$MAIN_DIR/Update"
    cd "$APP_DIR"
    rm -r *
    cd "$MAIN_DIR/Update"
    mv -f * "$APP_DIR"
    cd "$MAIN_DIR"
    rm -r "Update"
    chmod -R 755 "/Applications/ActiveMap Desktop.app"
fi